/*
 * Copyright (c) 1997 Manuel Bouyer.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *  This product includes software developed by Manuel Bouyer.
 * 4. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/*
 * Librairie pour gerer les mots de passe dans /etc/passwd.pop.
 */

#ifndef __P
#if __GNUC__ == 1
#define __P(a) a
#else
#define __P(a) ()
#endif
#endif

#define PW_CHANGED      0               /* a OK */
#define PW_CANTLOCK     -1              /* error code -- locking failed */
#define PW_CANTOPEN     -2              /* error code -- open failed */
#define PW_CANTRENAME   -3              /* error code -- rename failed */
#define PW_NOCHANGE     -4              /* error code -- no passwd entry */

#define SUCCESS 1
#define FAILURE 0
#define BUFSIZE 255
#define MAXARGS 32
#define SUPPRESS 1

#define FI_NULL ((FILE *) NULL)                /* NULL file pointer */
#define TI_NULL ((time_t *) NULL)      /* NULL time pointer */


extern FILE *log;

void UpdateTime __P(());
void WriteLog __P(( va_alist ));
int chkPass __P((char*, char*, struct passwd *));
int setPass __P((char *, char *, char *, struct passwd *));
int UpdatePasswordFile __P((struct passwd *));
struct passwd * getpoppwnam __P((char *));
